> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List page readiness

> Returns the crawled pages with their readiness for citation by AI assistants, least ready first. The list is paged with `page` and `page_size`.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/content/page-readiness
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/content/page-readiness:
    get:
      tags:
        - Content analysis
      summary: List page readiness
      description: >-
        Returns the crawled pages with their readiness for citation by AI
        assistants, least ready first. The list is paged with `page` and
        `page_size`.
      operationId: page_readiness
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            minimum: 1
            default: 1
        - in: query
          name: page_size
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReadinessList'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    ReadinessList:
      type: object
      properties:
        pages:
          type: array
          items:
            $ref: '#/components/schemas/PageReadiness'
        total:
          type: integer
          default: 0
        page:
          type: integer
          default: 1
        page_size:
          type: integer
          default: 0
        has_technical_audit:
          type: boolean
          default: false
      required:
        - pages
    PageReadiness:
      type: object
      properties:
        page_uuid:
          type: string
        path:
          type: string
        url:
          type: string
        title:
          type: string
          nullable: true
        content_format:
          $ref: '#/components/schemas/ContentFormat'
        score:
          type: integer
        technical_score:
          type: integer
          nullable: true
        technical_failed_checks:
          type: array
          items:
            type: string
        terms:
          type: array
          items:
            $ref: '#/components/schemas/TermScore'
        suggestions:
          type: array
          items:
            $ref: '#/components/schemas/Suggestion'
        match_state:
          $ref: '#/components/schemas/MatchState'
        word_count:
          type: integer
        modified_at:
          type: string
          format: date-time
          nullable: true
      required:
        - content_format
        - match_state
        - modified_at
        - page_uuid
        - path
        - score
        - suggestions
        - technical_failed_checks
        - technical_score
        - terms
        - title
        - url
        - word_count
    ContentFormat:
      enum:
        - blog
        - listicle
        - faq
        - product
        - other
      type: string
      description: |-
        * `blog` - blog
        * `listicle` - listicle
        * `faq` - faq
        * `product` - product
        * `other` - other
    TermScore:
      type: object
      properties:
        term:
          $ref: '#/components/schemas/ReadinessTerm'
        score:
          type: integer
        weight:
          type: number
          format: double
      required:
        - score
        - term
        - weight
    Suggestion:
      type: object
      properties:
        code:
          $ref: '#/components/schemas/SuggestionCode'
        facts:
          type: object
          additionalProperties:
            type: string
      required:
        - code
        - facts
    MatchState:
      enum:
        - strong
        - weak
        - none
        - not_analysed
        - target_pending
        - target_unreadable
      type: string
      description: |-
        * `strong` - strong
        * `weak` - weak
        * `none` - none
        * `not_analysed` - not_analysed
        * `target_pending` - target_pending
        * `target_unreadable` - target_unreadable
    ReadinessTerm:
      enum:
        - technical
        - match
        - freshness
        - faq
        - format_fit
      type: string
      description: |-
        * `technical` - technical
        * `match` - match
        * `freshness` - freshness
        * `faq` - faq
        * `format_fit` - format_fit
    SuggestionCode:
      enum:
        - expand_thin_content
        - add_faq_section
        - convert_to_listicle
        - add_structured_data
        - refresh_stale_content
        - add_alt_text
        - add_emphasis
        - h1_missing_prompt_terms
      type: string
      description: |-
        * `expand_thin_content` - expand_thin_content
        * `add_faq_section` - add_faq_section
        * `convert_to_listicle` - convert_to_listicle
        * `add_structured_data` - add_structured_data
        * `refresh_stale_content` - refresh_stale_content
        * `add_alt_text` - add_alt_text
        * `add_emphasis` - add_emphasis
        * `h1_missing_prompt_terms` - h1_missing_prompt_terms
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.